# $Revision: 1.152.2.3 $, $Date: 2007/06/28 11:41:20 $
#
# Conditional build:
%bcond_with	extra		# with additional, maybe useful, but unmaintained features
%bcond_without	ldap		# disable LDAP auth
%bcond_without	longusername	# with username length = 128 (default 32)
%bcond_without	mysql		# disable MySQL auth but disables PAM auth
%bcond_without	pgsql		# disable PostgreSQL support
%bcond_without	puredb		# disable pure-db support
%bcond_without	tls		# disable SSL/TLS support
%bcond_without	cap		# disable capabilities
#
Summary:	Small, fast and secure FTP server
Summary(pl):	May, szybki i bezpieczny serwer FTP
Name:		pure-ftpd
Version:	1.0.21
Release:	7%{?with_extra:extra}
Epoch:		0
License:	BSD-like%{?with_extra:, GLPv2 for pure-config due to libcfg+ license}
Group:		Daemons
Source0:	ftp://ftp.pureftpd.org/pub/pure-ftpd/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	ca8a8dbec0cd9c8ea92fc4c37ea9c410
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	ftpusers.tar.bz2
# Source3-md5:	76c80b6ec9f4d079a1e27316edddbe16
Source4:	http://twittner.host.sk/files/pure-config/pure-config-20041201.tar.gz
# Source4-md5:	3f2ff6b00b5c38ee11ce588ee5af6cf6
Patch0:		%{name}-config.patch
Patch1:		%{name}-path_to_ssl_cert_in_config.patch
Patch2:		%{name}-pure-pw_passwd.patch
Patch3:		%{name}-mysql_config.patch
Patch4:		%{name}-nosymlinks-hideuidmismatch.patch
Patch5:		%{name}-auth-can-delete-pure.patch
Patch6:		%{name}-nonssl-die.patch
Patch7:		%{name}-del-log-path.patch
Patch8:		%{name}-anonymous.patch
URL:		http://www.pureftpd.org/
%{?with_extra:BuildRequires:	autoconf}
%{?with_extra:BuildRequires:	automake}
%{?with_cap:BuildRequires:	libcap-devel}
%{?with_extra:BuildRequires:	libcfg+-devel >= 0.6.2}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%{?with_tls:BuildRequires:	openssl-devel}
BuildRequires:	pam-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	pam >= 0.79.0
%{!?with_extra:Requires:	perl-base}
Requires:	rc-scripts
Provides:	ftpserver
Obsoletes:	anonftp
Obsoletes:	bftpd
Obsoletes:	ftpd-BSD
Obsoletes:	ftpserver
Obsoletes:	glftpd
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd
Obsoletes:	proftpd-common
Obsoletes:	proftpd-inetd
Obsoletes:	proftpd-standalone
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd
Conflicts:	man-pages < 1.51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ftpd
%define		_ftpdir		/home/services/ftp

%description
Pure-FTPd is a fast, production-quality, standard-comformant FTP
server, based upon Troll-FTPd. Unlike other popular FTP servers, it
has no known security flaw, it is really trivial to set up and it is
especially designed for modern Linux kernels (setfsuid, sendfile,
capabilities) . Features include PAM support, IPv6, chroot()ed home
directories, virtual domains, built-in LS, anti-warez system, bounded
ports for passive downloads...

%description -l pl
Pure-FTPD to szybki, wysokiej jakoci, odpowiadajcy standardom serwer
FTP bazujcy na Troll-FTPd. W przeciwiestwie do innych serwerw FTP
nie ma znanych luk w bezpieczestwie. Ponadto jest trywialny w
konfiguracji i specjalnie zaprojektowany dla nowych kerneli Linuksa
(setfsuid, sendfile, capabilibies). Moliwoci to wsparcie dla PAM-a,
IPv6, chroot()owanych katalogw domowych, virtualne domeny, wbudowany
LS, system anty-warezowy, ograniczanie portw dla pasywnych
pocze...

%prep
%setup -q -a 4
%patch0 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1
%{?with_extra:%patch1 -p1}
%{?with_extra:%patch2 -p1}

%build
# drop --without-cork for Th
%configure \
	--without-cork \
	--with-boring \
	--with-altlog \
	--with-cookie \
	--with-diraliases \
	--with-extauth \
	--with-ftpwho \
	--with-language=english \
	--with-largefile \
	%{!?with_cap:--without-capabilities} \
	%{?with_ldap:--with-ldap} \
	%{?with_mysql:CPPFLAGS="-I%{_includedir}/mysql" --with-mysql} \
	--with-pam \
	--with-peruserlimits \
	%{?with_pgsql:--with-pgsql} \
	--with-privsep \
	%{?with_puredb:--with-puredb} \
	--with-quotas \
	--with-ratios \
	--with-throttling \
	%{?with_tls:--with-tls --with-certfile=%{_sharedstatedir}/openssl/certs/ftpd.pem} \
	--with-uploadscript \
	--with-virtualchroot \
	--with-virtualhosts

%if %{with extra}
cd pure-config
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,sysconfig,security,rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/vhosts,%{_ftpdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%{?with_ldap:install pureftpd-ldap.conf $RPM_BUILD_ROOT%{_sysconfdir}/pureftpd-ldap.conf}
%{?with_mysql:install pureftpd-mysql.conf $RPM_BUILD_ROOT%{_sysconfdir}/pureftpd-mysql.conf}
%{?with_pgsql:install pureftpd-pgsql.conf $RPM_BUILD_ROOT%{_sysconfdir}/pureftpd-pgsql.conf}
install configuration-file/pure-ftpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/pureftpd.conf
%{!?with_extra:install configuration-file/pure-config.pl $RPM_BUILD_ROOT%{_sbindir}}
touch $RPM_BUILD_ROOT/etc/security/blacklist.ftp

ln -s vhosts $RPM_BUILD_ROOT%{_sysconfdir}/pure-ftpd

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/ftpusers-path.diff

%if %{with extra}
%{__make} -C pure-config install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "PureFTPD daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog CONTACT FAQ HISTORY NEWS README* THANKS pure*.conf pureftpd.schema
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.ftp
%{?with_ldap:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pureftpd-ldap.conf}
%{?with_mysql:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pureftpd-mysql.conf}
%{?with_pgsql:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pureftpd-pgsql.conf}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pureftpd.conf
%attr(710,root,ftp) %dir %{_sysconfdir}
%dir %{_sysconfdir}/vhosts
%dir %{_sysconfdir}/pure-ftpd
%dir %{_ftpdir}
%{_mandir}/man?/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pure-ftpd.spec,v $
Revision 1.152.2.3  2007/06/28 11:41:20  arekm
- rel 7; treat ftp and anonymous logins as normal users if -E (NoAnonymous 1) is specified

Revision 1.152.2.2  2007/06/21 16:03:16  arekm
- rel 6; log entire path when deleting file.

Revision 1.152.2.1  2007/06/21 15:15:31  arekm
- rel 5; fix sending messages to client when built with SSL and connection is unencrypted

Revision 1.152  2006/12/20 10:50:29  arekm
- rel 4

Revision 1.151  2006/12/07 18:14:05  arekm
- rel 3

Revision 1.150  2006/08/09 06:55:16  arekm
- rel 2

Revision 1.149  2006/05/21 23:10:53  qboosh
- simplified

Revision 1.148  2006/05/21 21:54:58  glen
- check-files cleanup

Revision 1.147  2006/03/12 23:00:06  glen
- md5

Revision 1.146  2006/03/12 22:56:28  glen
- use %service, adapterized

Revision 1.145  2006/02/21 12:00:31  arekm
- up to 1.0.21

Revision 1.144  2006/02/21 08:53:13  arekm
- capabilities bcond (for vservers usage).

Revision 1.143  2006/01/17 15:39:27  baggins
- release 11
- BR openldap 2.3

Revision 1.142  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.141  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.140  2005/10/27 17:51:30  arekm
- rel 10

Revision 1.139  2005/10/12 12:12:34  arekm
- rel 9; authorized users can now delete files like .pureftpd-upload.43425...

Revision 1.138  2005/08/09 09:04:12  hawk
- release 8 (7 for Ra)

Revision 1.137  2005/06/18 11:08:41  twittner
- fix pure-config url

Revision 1.136  2005/06/18 11:05:25  twittner
- up pure-config to 20041201 (changes in sources: code formating, added
  include guard, added `--version' for help2man)

Revision 1.135  2005/05/12 13:30:56  baggins
- release 6
- req pam 0.79

Revision 1.134  2005/05/09 10:32:40  qboosh
- no whitespace at eols

Revision 1.133  2005/05/09 10:30:21  qboosh
- removed duplicate setup

Revision 1.132  2005/02/17 21:46:26  arekm
- rel5; show symlinks as real files/dirs; hide when owner mismatch (maybe turn this off by default?)

Revision 1.131  2005/02/12 22:50:00  arekm
- rel ++

Revision 1.130  2004/12/28 20:26:44  zergin
- fixed Patch4 apply proccess (should be and now is -p1)

Revision 1.129  2004/12/12 06:44:05  domelu
- added pure-ftpd-mysql_config.patch: PLDized MYSQLSocket, MYSQLUser and MYSQLPassword

Revision 1.128  2004/12/04 00:17:11  zbyniu
- with extra BR: autoconf, automake

Revision 1.127  2004/11/08 20:42:22  twittner
- added my pure-config parser to extra bcond
  (note: it kills R: perl)
- removed arekm's note about my -path_to_ssl_cert_in_config.patch . Patch
  has been rewritten by me.

Revision 1.126  2004/10/31 21:05:47  paladine
- spaces->tabs
- formatting

Revision 1.125  2004/10/29 18:15:49  havner
- rel 3

Revision 1.124  2004/10/24 21:38:06  paladine
- spelling fix, uppercases, etc.

Revision 1.123  2004/09/10 20:34:07  zergin
- reversed bcond longusername

Revision 1.122  2004/09/10 10:11:11  qboosh
- fixed .src.rpm

Revision 1.121  2004/09/10 10:01:04  zergin
- added bcond_with longusername: allows user names up to 128U

Revision 1.120  2004/09/09 14:28:57  arekm
- drop Incoming dir

Revision 1.119  2004/08/17 12:36:57  twittner
- added bcond_with extra (default off) for my patches:
  -path_to_ssl_cert_in_config.patch
  -pure-pw_passwd.patch
- fixed -path_to_ssl_cert_in_config.patch - don't pass NULL instead of
  char * in certain situation, handle both --with-certfile configure switch
  and SSLCertFile config option (noticed by arekm).
- rel. 2

Revision 1.118  2004/08/16 22:03:45  arekm
--with-certfile is back

Revision 1.117  2004/08/16 22:01:41  arekm
- drop broken patch (twittner doesn't care)

Revision 1.116  2004/07/29 21:16:05  twittner
- updated -config.patch: set AnonymousCantUpload to `yes' as default
  (thanks a lot to qboosh). It prevents anonymous users from feeding
  into your ftp f.e. junks or illegal materials ...

Revision 1.115  2004/07/21 07:31:03  areq
- 1.0.20

Revision 1.114  2004/07/08 21:25:08  twittner
- pure-pw [-p <password>] - new option introduced
  by -pure-pw_passwd.patch .
- rel. 2

Revision 1.113  2004/06/21 09:08:04  areq
- 1.0.19

Revision 1.112  2004/05/20 12:14:26  arekm
- rel 6; use --with-boring (hides some version/damon abilities messages)

Revision 1.111  2004/04/28 08:41:49  twittner
- updated -ftpd-path_to_ssl_cert_in_config.patch - cleaning, updated docs.
- rel. 5

Revision 1.110  2004/04/27 22:03:17  twittner
- added -path_to_ssl_cert_in_config.patch which adds
  SSLCertFile in main config and -7 commandline option instead of
  --with-certfile= configure switch.
- rel. 4.1 (see TODO)

Revision 1.109  2004/04/25 23:02:55  twittner
- added omitted CONTACT, FAQ and pureftpd.schema to %doc

Revision 1.108  2004/04/21 08:26:48  averne
- rel4 for new ldap

Revision 1.107  2004/04/15 18:59:37  twittner
- cosmetics

Revision 1.106  2004/04/15 18:56:44  twittner
- now bconds and options are in alphabetical order.
- new bcond for pure-db .
- added missing R: perl-base - pure-ftpd.init
  uses pure-config.pl which is perl script.
- certificate has been moved from /etc/ftpd/ssl/pure-ftpd.pem
  to /var/lib/openssl/certs/ftpd.pem .
- added _ftpdir macro.

Revision 1.105  2004/04/15 11:52:42  averne
- added pure-ftpd-config.patch which fixes config files path

Revision 1.104  2004/04/06 22:35:38  arekm
- rebuild; averne, you lazy bastard!

Revision 1.103  2004/03/29 08:49:55  luzik
 - added Obsolete: glftpd

Revision 1.102  2004/03/19 23:46:34  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.101  2004/03/17 22:42:37  averne
- reverted /home/services
- rel 2 for rebuild with new openldap

Revision 1.100  2004/03/02 22:04:49  areq
- 1.0.18

Revision 1.99  2004/02/04 15:09:26  averne
- /home/services -> /srv
- rel 2

Revision 1.98  2004/02/01 18:33:47  eothane
- bconds, changelog cosmetics

Revision 1.97  2003/11/24 13:55:33  areq
- 1.0.17a

Revision 1.96  2003/11/23 13:15:51  arekm
- updated to 1.0.17

Revision 1.95  2003/11/11 22:38:31  areq
- new ftpd-caps_p.patch (by Jedi/Sector One)

Revision 1.94  2003/11/11 12:04:08  areq
- add caps_p.patch (back src/caps_p.h to 1.0.16b - now works on kernel 2.4)

Revision 1.93  2003/10/29 11:44:00  areq
- 1.0.16c

Revision 1.92  2003/10/20 12:30:57  adamg
- updated to 1.0.16b

Revision 1.91  2003/09/26 14:24:15  baggins
- release 3

Revision 1.90  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.89  2003/09/25 09:56:51  blues
- cosmetics

Revision 1.88  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.87  2003/08/23 15:47:01  arekm
- protect certificates

Revision 1.86  2003/08/23 15:25:35  arekm
- enabled all bconds by default; include missing configs

Revision 1.85  2003/08/13 10:59:17  areq
- 1.0.16a

Revision 1.84  2003/08/12 15:42:21  areq
- 1.0.16
- add support SSL/TLS - bconf

Revision 1.83  2003/06/24 15:50:42  deejay1
- license change from GPL to BSD-like

Revision 1.82  2003/06/17 09:57:44  adamg
- updated to 1.0.15

Revision 1.81  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.80  2003/05/28 13:01:26  malekith
- massive attack: source-md5

Revision 1.79  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.78  2003/05/25 06:25:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.77  2003/04/05 13:55:25  misiek
- rel 3; enable privilege separation and per-user limits

Revision 1.76  2003/03/05 07:20:19  misiek
- mysql config only available in mysql enabled version

Revision 1.75  2003/03/04 22:37:42  misiek
- rel 2

Revision 1.74  2003/03/04 22:30:19  misiek
- 710,root,ftp on /etc/ftpd to fix vhosts

Revision 1.73  2003/03/04 22:25:46  misiek
- back to old good names to be backward compatible, don't merge configs
  (this sucks), fix vhosts (missing dir/symlink)

Revision 1.72  2003/02/07 10:40:50  misiek
- updated to 1.0.14

Revision 1.71  2002/12/06 21:07:56  orzech
- /home/ftp -> /home/services/ftp

Revision 1.70  2002/11/26 14:36:38  areq
- 1.0.13, STBR
- rename pureftpd.conf to pure-ftpd.conf
- change pure-ftpd.conf format !!!
- change init file - use pure-config.pl
- remove config.patch

Revision 1.69  2002/10/23 10:37:20  ankry
- fixed path in ftpusers.5 man page; rel. 5

Revision 1.68  2002/07/31 12:22:35  blues
- release 4
- fixed small typo in directories making
STBRKJM!

Revision 1.67  2002/07/31 09:33:22  blues
- cosmetic

Revision 1.66  2002/07/31 09:13:33  kloczek
- fixes in %files and use more macros in %install.

Revision 1.65  2002/07/31 08:30:05  kloczek
- release 3: typo in %%define.

Revision 1.64  2002/07/30 23:11:39  kloczek
- apterized and more macros.

Revision 1.63  2002/07/30 12:00:46  qboosh
- cleanup, fixed _with_ldap bcond; release 2

Revision 1.62  2002/07/20 11:53:24  areq
- 1.0.12, STBR

Revision 1.61  2002/07/03 09:24:05  wolf
- spelling

Revision 1.60  2002/06/10 00:17:49  ankry
- added ftpusers(5) man pages
- Conflicts: man-pages < 1.51
- release 4

Revision 1.59  2002/06/05 18:56:31  kloczek
- use new %doc.

Revision 1.58  2002/06/01 10:30:14  qboosh
- Obsoletes: vsftpd
- release 3

Revision 1.57  2002/05/15 10:22:18  areq
- 740 dir /etc/ftpd
- Release 2

Revision 1.56  2002/05/09 15:50:10  pioklo
- up to 1.0.11 , fix Source0 ,STBR

Revision 1.55  2002/04/12 12:55:06  qboosh
- Obsoletes: proftpd-{common,inetd,standalone}; release 2

Revision 1.54  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.53  2002/03/23 21:51:47  areq
- 1.0.10 - stable release, STBR
- Epoch 0 (for allow upgrade from devel 1.1.0)

Revision 1.52  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.51  2002/02/15 09:44:42  qboosh
- added (conditional) LDAP support

Revision 1.50  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.49  2002/01/09 23:23:29  kloczek
- updated to 1.1.0 (new "virtual chroot" feature).

Revision 1.48  2001/12/27 14:05:05  areq
- 1.0.7, STBR

Revision 1.47  2001/11/22 09:11:50  mkierus
- updated to 1.0.3
- removed Patch1 - not needed

Revision 1.46  2001/11/11 23:26:37  misiek
- enable quotas
- added rename fix
- pureftpd.passwd now in /etc/ftpd
- release 2

Revision 1.45  2001/10/31 22:16:19  areq
- 1.0.1, STBR

Revision 1.44  2001/10/26 09:42:35  misiek
- fixed source + proper tar.gz

Revision 1.43  2001/10/25 21:56:16  misiek
- final 1.0

Revision 1.42  2001/10/19 19:02:56  misiek
- include utilities from bin directory
- enable pure-db
- release 3

Revision 1.41  2001/10/08 11:20:24  qboosh
- changed Incoming dir owner to root
- enabled anti-warez in config (in case someone enables upload)
- release 2

Revision 1.40  2001/10/05 07:31:48  areq
- 0.99.9, STBR

Revision 1.39  2001/09/29 17:39:50  areq
- 0.99.4

Revision 1.38  2001/09/28 04:24:13  kloczek
- updated to 0.99.3.

Revision 1.37  2001/09/25 12:38:03  qboosh
- Prereq: rc-scripts, /sbin/chkconfig (no longer inetdaemon and rc-inetd)
- run chkconfig --del only on remove, not upgrade
- Obsoletes: muddleftp
- release 2

Revision 1.36  2001/08/27 16:37:25  kloczek
- cosmetics.

Revision 1.35  2001/08/26 18:48:56  misiek
- pure-ftpd is now standalone with external config file

Revision 1.34  2001/08/20 10:29:03  areq
- 0.99.1, STBR

Revision 1.33  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.32  2001/07/26 09:09:58  areq
- 0.99

Revision 1.31  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.29  2001/06/20 09:39:01  kloczek
- updated to 0.98.7.

Revision 1.28  2001/05/30 02:57:54  kloczek
- updated to 0.98.3.

Revision 1.27  2001/05/09 16:20:35  misiek
- updated to 0.98.1
- enabled uploadscript

Revision 1.26  2001/04/24 23:10:16  areq
- fix %files
- Release 2 - STBR

Revision 1.25  2001/04/22 19:55:52  misiek
- config file idea dropper (due to perl requirement)

Revision 1.24  2001/04/22 19:51:40  misiek
- typo

Revision 1.23  2001/04/22 19:51:24  misiek
- configuration file added

Revision 1.22  2001/04/22 19:34:58  misiek
- updated to 0.97.7
- rebuild autostuff
- enable more features (throttling, ratios, ftpwho, largefile)
- removed ftp/pub and replaces ftp/upload by ftp/Incoming
- release 1

Revision 1.21  2001/04/17 00:34:51  areq
- 0.97.6

Revision 1.20  2001/04/13 03:44:06  kloczek
- updated to 0.97.5.

Revision 1.19  2001/04/10 20:16:16  areq
- 0.97.4, STBR

Revision 1.18  2001/03/29 16:17:15  areq
- 0.97.2

Revision 1.17  2001/03/27 19:50:13  areq
- 0.97.1

Revision 1.16  2001/03/26 18:00:44  areq
- 0.97

Revision 1.15  2001/03/23 19:34:34  areq
- 0.96.2, STBR

Revision 1.14  2001/03/17 13:27:00  malekith
- updated to 0.96.1, security update, STBR.

Revision 1.13  2001/03/12 21:01:43  areq
- 0.95.2, stb

Revision 1.12  2001/03/10 13:30:20  areq
- 0.95.1

Revision 1.11  2001/03/06 12:35:46  areq
- add --with-pam

Revision 1.10  2001/03/06 12:21:59  areq
- 0.95

Revision 1.9  2001/01/27 00:14:37  areq
- back to  0.93 ;(.

Revision 1.8  2001/01/26 23:32:00  areq
- 0.95.pre2

Revision 1.7  2001/01/24 22:29:58  areq
- 0.93

Revision 1.6  2001/01/24 21:56:06  waszi
- small fixes

Revision 1.5  2001/01/23 19:54:32  waszi
- typo

Revision 1.4  2001/01/23 00:29:49  kloczek
- heimdal-ftpd added to Obsoletes.

Revision 1.3  2001/01/23 00:17:46  kloczek
- proftpd added to Obsoletes.

Revision 1.2  2001/01/23 00:06:06  kloczek
- added libcap-devel to BuildRequires,
- removed COPYING from %doc (clear copyright stattment is in License field).

Revision 1.1  2001/01/22 13:20:23  misiek
- initial release
